#include <iostream>
#include <fstream>
#include <memory>
#include "doorkeeper.hpp"

int main() {
	typedef dk::Tyler<2> Tiler;

	Tiler tiler(Tiler::coords(200, 150));

	tiler.push_layer<int>(
		dk::Layer<int, 2>::streamer_type(std::unique_ptr<std::ifstream>(new std::ifstream("test.map")))
	);

#if !defined(NDEBUG)
	std::cout << "Map size: " << tiler.map_size() << '\n';
#endif
	std::cout << "Total tiles: " << tiler.tiles_count() << '\n';
	return 0;
}
