namespace dk {
	///--------------------------------------------------------------------------
	///--------------------------------------------------------------------------
	template <size_t D>
	LayerBase<D>::LayerBase (const coords& parSize) :
		m_size(parSize)
	{
	}

	///--------------------------------------------------------------------------
	///--------------------------------------------------------------------------
	template <typename T, size_t D>
	Layer<T, D>::Layer (const coords& parSize, streamer_type&& parStreamer) :
		LayerBase<D>(parSize),
		m_streamer(std::move(parStreamer))
	{
	}
}
